This dependency was not found: font-awesome/css/font-awesom


Topic: This dependency was not found: font-awesome/css/font-awesome.min.css

mattagape pro asked 2 years ago

*Expected behavior*I expected the font-awesome/css/font-awesome.min.css dependency to be found.

NOTE: I'm actually not sure of which version of mdbreact that I have. (How can I find that out?)

*Actual behavior*When I attempt to run my React (Gatsby.js) app, I get this error...<br>Failed to compile with 7 errors 1:15:27 PM<br>⠀<br>This dependency was not found:<br>⠀<br>* font-awesome/css/font-awesome.min.css in ./src/pages/faq.js<br>

Resources (screenshots, code snippets etc.)import 'font-awesome/css/font-awesome.min.css'; // not found

I had attempted to set up a new version of npm in my root directory, but that broke my app. Then I switched back to my previous (older) version of npm. Now I get this error. I tried deleting the node_modules & .cache folders and then doing an npm install, but I still get the same error. Any help on this would be much appreciated.

This is what I have in package.json...

*removed link *


mattagape pro commented 2 years ago

Never mind. I just went back to my git repo and copied the "raw" of my previous package.json into my app. Then I ran yarn and everything was back to normal.


Konrad Stępień staff answered 2 years ago

Hi @mattagape,

I am very glad that the problem has been solved. If you want check MDBreact version you can do it if you open package-lock.json and find mdbreact line, or in yarn.lock file.

Also, please hide your package.json file, because in this file you have a tocen.

Best regards, Konrad.


Please insert min. 20 characters.
Status

Open

Specification of the issue
  • User: Pro
  • Premium support: No
  • Technology: MDB React
  • MDB Version: 4.13.0
  • Device: Mac
  • Browser: Chrome
  • OS: OSX
  • Provided sample code: No
  • Provided link: No